# frozen_string_literal: true

require_relative '../command'

module WorldTides
  module Commands
    class Fetch < WorldTides::Command
      def initialize(filename, lon, lat, options)
        @filename = filename
        @lon = lon
        @lat = lat
        @options = options
      end

      def execute(input: $stdin, output: $stdout)
        require 'world_tides/api_wrapper'
        APIWrapper.new(lon: @lon, lat: @lat).highs_and_lows_csv(@filename)
        output.puts "OK"
      end
    end
  end
end
